<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">Manage Rooms</h1>
</div>

<div class="row mb-3 d-none d-md-block">
  <div class="col">
    <a class="btn btn-outline-primary btn-sm" [routerLink]="['/manage/add-room']">
      <fa-icon [icon]="faPlus"></fa-icon>&nbsp;New
    </a>
  </div>
</div>

<div class="d-none d-md-block shadow">
  <table mat-table [dataSource]="dataSource" matSort matSortActive="name" matSortDirection="asc">
    <tr mat-header-row *matHeaderRowDef="columnsToDisplay" class="first-header-row"></tr>
    <tr mat-header-row *matHeaderRowDef="filterRow" class="second-header-row"></tr>
    <tr mat-row *matRowDef="let row; columns: columnsToDisplay"></tr>

    <ng-container matColumnDef="id-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 300px"></th>
    </ng-container>

    <ng-container matColumnDef="building-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 300px">
        <mat-form-field class="filter" floatLabel="never">
          <mat-label>Building</mat-label>
          <input matInput [formControl]="buildingFilterValue">
        </mat-form-field>
      </th>
    </ng-container>

    <ng-container matColumnDef="floorName-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 300px">
        <mat-form-field class="filter" floatLabel="never">
          <mat-label>Floor</mat-label>
          <input matInput [formControl]="floorFilterValue">
        </mat-form-field>
      </th>
    </ng-container>

    <ng-container matColumnDef="number-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 300px">
        <mat-form-field class="filter" floatLabel="never">
          <mat-label>Number</mat-label>
          <input matInput [formControl]="numberFilterValue">
        </mat-form-field>
      </th>
    </ng-container>

    <ng-container matColumnDef="allowedVisitors-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 320px"></th>
    </ng-container>

    <ng-container matColumnDef="team-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 320px"></th>
    </ng-container>

    <ng-container matColumnDef="actions-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 320px"></th>
    </ng-container>

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>ID</th>
      <td mat-cell *matCellDef="let row">{{row.id || '-'}}</td>
    </ng-container>

    <ng-container matColumnDef="building">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Building
      </th>
      <td mat-cell *matCellDef="let row">{{row.building || '-'}}</td>
    </ng-container>

    <ng-container matColumnDef="floorName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Floor
      </th>
      <td mat-cell *matCellDef="let row">{{row.floorName || '-'}}</td>
    </ng-container>

    <ng-container matColumnDef="number">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Number
      </th>
      <td mat-cell *matCellDef="let row">{{row.number || '-'}}</td>
    </ng-container>

    <ng-container matColumnDef="allowedVisitors">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Max Visitors
      </th>
      <td mat-cell *matCellDef="let row">{{row.allowedVisitors || '-'}}</td>
    </ng-container>

    <ng-container matColumnDef="team">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Team
      </th>
      <td mat-cell *matCellDef="let row">{{row.team.name || '-'}}</td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef>Actions</th>
      <td mat-cell *matCellDef="let row">
        <div class="btn-group btn-group-sm" role="group">
          <a class="btn btn-outline-primary" [routerLink]="['/manage/rooms', row.id]" title="Edit Room">
            <fa-icon [icon]="faEdit" [fixedWidth]="true"></fa-icon>
          </a>
        </div>
      </td>
      <td mat-footer-cell *matFooterCellDef="let row"></td>
    </ng-container>

  </table>
  <mat-paginator [length]="dataSource.totalCount" [pageSize]="dataSource.limit"
                 [pageSizeOptions]="[5, 10, 20, 50]" showFirstLastButtons></mat-paginator>
</div>

<div class="d-block d-md-none">
  Please use this page on PC or Tablet.
</div>
